%define epoch_kdelibs 30000000
%define source_date 20071002

Name: mandriva-kde-config
Summary: Mandriva KDE configuration 
Version: 2008.0
Release: %mkrel 28
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-buildroot
Source0: %{name}-%{version}.%{source_date}.tar.bz2
License: GPL
BuildArch: noarch

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)

#--------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: common configs used for Mandriva theme
Requires(pre): update-alternatives
Requires: urw-fonts

%description common
common configs used for Mandriva theme

%post common
update-alternatives --install /etc/kderc kde-config %_localstatedir/mandriva/kde-profiles/common/upstream-kde-config 9

%postun common
if ! [ -e /var/lib/mandriva/kde-profiles/common/upstream-kde-config ]; then
  update-alternatives --remove kde-config /var/lib/mandriva/kde-profiles/common/upstream-kde-config
fi

%files common
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/
%dir %_localstatedir/mandriva/kde-profiles/common
%_localstatedir/mandriva/kde-profiles/common/*

#--------------------------------------------------------------------

%package -n powerpack-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file < 2008.0
Obsoletes: powerpackplus-kde-config < 2008.0 
Provides: powerpackplus-kde-config = %version-%release
Requires(preun): mandriva-kde-config-common

%pre -n powerpack-kde-config
if [ -d %_localstatedir/mandriva/kde-profiles/powerpack/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/mandriva/kde-profiles/powerpack/share/apps/kdesktop/Desktop
fi

%post -n powerpack-kde-config
update-alternatives --install /etc/kderc kde-config %_localstatedir/mandriva/kde-profiles/powerpack/kderc 10

%postun -n powerpack-kde-config
if ! [ -e /var/lib/mandriva/kde-profiles/powerpack/kderc ]; then
  update-alternatives --remove kde-config /var/lib/mandriva/kde-profiles/powerpack/kderc
fi

%description -n powerpack-kde-config
This package regroups all specific Mandriva config file for KDE.

%files -n powerpack-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/powerpack
%_localstatedir/mandriva/kde-profiles/powerpack/*

#--------------------------------------------------------------------

%package -n one-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file < 2008.0
Requires(preun): mandriva-kde-config-common

%description -n one-kde-config
This package regroups all specific Mandriva config file for KDE.

%pre -n one-kde-config
if [ -d %_localstatedir/mandriva/kde-profiles/one/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/mandriva/kde-profiles/one/share/apps/kdesktop/Desktop
fi

%post -n one-kde-config
update-alternatives --install /etc/kderc kde-config %_localstatedir/mandriva/kde-profiles/one/kderc 10

%postun -n one-kde-config
if ! [ -e /var/lib/mandriva/kde-profiles/one/kderc ]; then
  update-alternatives --remove kde-config /var/lib/mandriva/kde-profiles/one/kderc
fi

%files -n one-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/one
%_localstatedir/mandriva/kde-profiles/one/*


#--------------------------------------------------------------------

%package -n free-kde-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde-config-common = %version-%release
Conflicts: kdelibs-common < %epoch_kdelibs:3.5.1
Conflicts: kdebase-common < 1:3.5.2-10.1.20060mdk
Obsoletes: mandriva-kde-config-file < 2008.0
Requires(preun): mandriva-kde-config-common
Obsoletes: download-kde-config-2007 < 2008.0 
Provides:	download-kde-config-2007
Obsoletes: discovery-kde-config < 2008.0
Provides: discovery-kde-config = %version-%release

%description -n free-kde-config
This package regroups all specific Mandriva config file for KDE.

%pre -n free-kde-config
if [ -d %_localstatedir/mandriva/kde-profiles/free/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/mandriva/kde-profiles/free/share/apps/kdesktop/Desktop
fi

%post -n free-kde-config
update-alternatives --install /etc/kderc kde-config %_localstatedir/mandriva/kde-profiles/free/kderc 10

%postun -n free-kde-config
if ! [ -e /var/lib/mandriva/kde-profiles/free/kderc ]; then
  update-alternatives --remove kde-config /var/lib/mandriva/kde-profiles/free/kderc
fi

%files -n free-kde-config
%defattr(0644,root,root,755)
%dir %_localstatedir/mandriva/kde-profiles/free
%_localstatedir/mandriva/kde-profiles/free/*


#--------------------------------------------------------------------
# KDM

%package -n mandriva-kdm-config
Summary: Mandriva KDM config file
Group: Graphical desktop/KDE
Obsoletes: kdebase-kdm-config-file < 2008.0
Provides: kdm-config-file = %version-%release
# For upgrade 
Provides: kdebase-kdm-config-file = 2:%version 
Conflicts: kdebase-progs <= 3.5.1-15.1.20060mdk
Obsoletes: mandriva-kde-config-file < 2008.0
Requires(post): perl-MDK-Common

%description -n mandriva-kdm-config
Mandriva KDM config file

%trigger -n mandriva-kdm-config -- kdebase-kdm-config-file 
perl -MMDK::Common -e 'update_gnomekderc("/etc/kde/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")'

%pre -n mandriva-kdm-config
if [ ! -h "%_datadir/config" ]; then
   [ ! -d "%_sysconfdir/kde" ] && mkdir -p %_sysconfdir/kde
   cp -arf %_datadir/config/* %_sysconfdir/kde/
   rm -rf %_datadir/config
   ln -s %_sysconfdir/kde %_datadir/config   
fi

%posttrans -n mandriva-kdm-config
# Test if the rpm bug was not triggered
cd %_sysconfdir/kde/kdm
if [ ! -f kdmrc -a -f kdmrc.rpmsave ]; then
   mv kdmrc.rpmsave kdmrc
fi
if [ ! -f backgroundrc -a -f backgroundrc.rpmsave ]; then
   mv backgroundrc.rpmsave backgroundrc
fi

%files -n mandriva-kdm-config
%defattr(0644,root,root,0755)
%config(noreplace) %_sysconfdir/kde/kdm/backgroundrc
%config(noreplace) %_sysconfdir/kde/kdm/kdmrc
%_sysconfdir/kde/kdm/themes

#---------------------------------------

%prep
%setup -q

%install
rm -rf %buildroot
# Create profile dirs
mkdir -p %buildroot/%_sysconfdir/kde
mkdir -p %buildroot/%_localstatedir/mandriva

mv kde-profiles %buildroot/%_localstatedir/mandriva
mv kdm %buildroot/%_sysconfdir/kde

for name in free one powerpack; do
    echo "[Directories-default]" > %buildroot%_localstatedir/mandriva/kde-profiles/$name/kderc
    echo "prefixes=/var/lib/mandriva/kde-profiles/common,%_localstatedir/mandriva/kde-profiles/$name" >> %buildroot%_localstatedir/mandriva/kde-profiles/$name/kderc
	# create the symlink to the desktop data
    mkdir -p %buildroot%_localstatedir/mandriva/kde-profiles/$name/share/apps/kdesktop
    ln -s %_datadir/mdk/desktop/$name %buildroot%_localstatedir/mandriva/kde-profiles/$name/share/apps/kdesktop/DesktopLinks
done

# Upstream
echo "[Directories-default]" > %buildroot%_localstatedir/mandriva/kde-profiles/common/upstream-kde-config
echo "prefixes=/etc/kde" >> %buildroot%_localstatedir/mandriva/kde-profiles/common/upstream-kde-config


%clean
rm -rf %buildroot


%changelog
* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-28mdv2008.0
+ Revision: 94768
- Make the Mandriva theme select the proper components (#33822)

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-27mdv2008.0
+ Revision: 94151
- Use the ia_ora style and colors in kdm

* Fri Sep 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-26mdv2008.0
+ Revision: 93584
- Restore kicker pager
- Use official preview for moodin theme
- Use sound notification only for session start and stop
- Properly obsolete the discovery and powerpackplus kde config packages
- Make all obsoletes tags versioned

* Wed Sep 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-24mdv2008.0
+ Revision: 93095
- Use DesktopLinks instead of Desktop to put icons on desktop (this way they get
  copied to the user home dir (#33204)

* Tue Sep 25 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-23mdv2008.0
+ Revision: 92891
- Enforce kaffeine as the default player for One and Free

  + Helio Chissini de Castro <helio@mandriva.com>
    - Flatten people image on powerpack images

* Fri Sep 21 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2008.0-21mdv2008.0
+ Revision: 91776
- update sources
- add metabar themes

* Wed Sep 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-20mdv2008.0
+ Revision: 91199
- Add squared icons for the K menu

* Wed Sep 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-19mdv2008.0
+ Revision: 91017
- Fix One color scheme

* Tue Sep 18 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-18mdv2008.0
+ Revision: 89764
- Define totem as the default player for powerpack

* Mon Sep 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-17mdv2008.0
+ Revision: 89272
- Use the desktop icons from desktop-common-data so that they are proper
  translated

* Sat Sep 15 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-16mdv2008.0
+ Revision: 85869
- Multimedia direction change

* Sat Sep 15 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-15mdv2008.0
+ Revision: 85852
- Fix kickoff button

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-14mdv2008.0
+ Revision: 85758
- KDM changes
- Sound changes

* Wed Sep 12 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-13mdv2008.0
+ Revision: 84580
- Fixed clock position
- Fixed "fat" menu letters
- Fixed spacing on itens

* Mon Sep 10 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-12mdv2008.0
+ Revision: 84142
- ksmserver image change
- kdm call grub instead of lilo
- Proper naming

* Thu Sep 06 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-11mdv2008.0
+ Revision: 81020
- Font and config
- kdm, kicker and Free splash update

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-9mdv2008.0
+ Revision: 80365
- Position text
- New kicker buttons
- No kdm userlist
- New ia_ora one scheme

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-8mdv2008.0
+ Revision: 79481
- Updated themes

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-7mdv2008.0
+ Revision: 78913
- Starting migrate kde theme for 2008.0

* Mon Aug 06 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-5mdv2008.0
+ Revision: 59467
- Restore original images lost on svn crash

* Thu Aug 02 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-4mdv2008.0
+ Revision: 58316
- Fixed splash, removing Galaxy at last !
- Removed wallpaper patch, commited on svn
- Fixed Discovery theme

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] change wallpaper link to more userfriendly one (bug #10638)'

* Fri Jun 08 2007 Anssi Hannula <anssi@mandriva.org> 2008.0-3mdv2008.0
+ Revision: 37525
- do not remove profile alternatives when upgrading package

* Fri Jun 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 37505
- Added possibility to change to upstream kde config, as requested by Anssi

* Mon Jun 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 35211
- Removed old faulty updatekdeprofiles for a solution based on update-alternatives. Simple, using
  cascade for common avoiding symlinks, and letting have one profile read instead of a list of
  profiles that never keep same order
- Added hardcoded files present before on kdebase package
- Changed konsole config for Linux schema, instead of white one


* Fri Apr 06 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-25mdv2007.1
+ Revision: 150809
- Fix nsplugins config

* Wed Mar 28 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-24mdv2007.1
+ Revision: 149172
- Fix kicker default icon

* Tue Mar 27 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-23mdv2007.1
+ Revision: 149058
- Fix kdesktop icon order

* Thu Mar 22 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-22mdv2007.1
+ Revision: 148090
- Fix windows key

* Wed Mar 21 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-21mdv2007.1
+ Revision: 147454
- Fix konsole default config

* Wed Mar 21 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-20mdv2007.1
+ Revision: 147276
- don't autostart klipper

* Mon Mar 19 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-19mdv2007.1
+ Revision: 146426
- Fix selected text color

* Thu Mar 15 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-18mdv2007.1
+ Revision: 144247
- Fix title text color

* Wed Mar 14 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-17mdv2007.1
+ Revision: 143441
- Fix kicker top
  Fix kdesktop icons order

* Mon Mar 12 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-16mdv2007.1
+ Revision: 141633
- Update kside top

* Sat Mar 10 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-15mdv2007.1
+ Revision: 140413
- Add jam search engine

* Wed Mar 07 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-14mdv2007.1
+ Revision: 134313
- Add specific desktop file

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-13mdv2007.1
+ Revision: 134007
- Fix free color

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-12mdv2007.1
+ Revision: 133018
- Minor fix

* Fri Mar 02 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-10mdv2007.1
+ Revision: 130993
- Update preview

* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-9mdv2007.1
+ Revision: 130605
- Update moodin picture

* Tue Feb 27 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-8mdv2007.1
+ Revision: 126305
- Fix kicker config

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-7mdv2007.1
+ Revision: 121648
- Fix kicker config

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-6mdv2007.1
+ Revision: 121631
- New kside

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-5mdv2007.1
+ Revision: 121620
- Fix version
- Add kicker 16x16 icons

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-4mdv2007.1
+ Revision: 121083
- Add kside

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 121080
- New update

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 121001
- Fix icons pos

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 120949
- New version
- New source

* Thu Nov 16 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-29mdv2007.1
+ Revision: 85037
- Touch default kdmrc to been able to provide userlist

  + Laurent Montel <lmontel@mandriva.com>
    - New package (2006-09-22 28mdv)
      Fix kmplayer backend
    - New package (2006-09-20 27mdv)
      Fix migrate kdm from 2006 (thanks Pixel)
    - New package (26mdv 2006-09-19)
      Only description into menu for one/discovery

* Tue Sep 19 2006 Laurent Montel <lmontel@mandriva.com> 2007-25mdv2007.0
+ Revision: 61919
- New package( 2006-09-18 25mdv)
  Fix wav encodage

* Sat Sep 16 2006 Laurent Montel <lmontel@mandriva.com> 2007-24mdv2007.0
+ Revision: 61581
- New sound

* Sat Sep 16 2006 Laurent Montel <lmontel@mandriva.com> 2007-23mdv2007.0
+ Revision: 61570
- New package (2006-09-15 23mdv)
  Add new mdk statup function

* Sat Sep 16 2006 Laurent Montel <lmontel@mandriva.com> 2007-22mdv2007.0
+ Revision: 61542
- New package (2006-09-15 22mdv)
  Add default sounds

* Fri Sep 15 2006 Laurent Montel <lmontel@mandriva.com> 2007-21mdv2007.0
+ Revision: 61458
- New package (2006-09-14 21mdv)
  Use double click

* Fri Sep 15 2006 Laurent Montel <lmontel@mandriva.com> 2007-20mdv2007.0
+ Revision: 61419
- New version
  Fix kicker right button

* Wed Sep 13 2006 Laurent Montel <lmontel@mandriva.com> 2007-19mdv2007.0
+ Revision: 61072
- New package (2006-09-12 19mdv)
  Rename download->free
  Fix typo
- Add missing test

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com> 2007-18mdv2007.0
+ Revision: 60840
- New package (2006-09-11 18mdv)
  Workaround for Requires(preun) which doesn't work

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com> 2007-17mdv2007.0
+ Revision: 60830
- New package (2006-09-11 16mdv)
  Fix device on desktop

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com> 2007-16mdv2007.0
+ Revision: 60764
- New package (2006-09-11 16mdv)
  Fix default color, don't display tooltip by default

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com> 2007-15mdv2007.0
+ Revision: 60757
- New package (2006-09-11 15mdv)
  Fix kicker default apps

* Sat Sep 09 2006 Laurent Montel <lmontel@mandriva.com> 2007-14mdv2007.0
+ Revision: 60598
- New package (2006-09-08 14mdv)
  Use by default ia_ora-kde theme

* Thu Sep 07 2006 Laurent Montel <lmontel@mandriva.com> 2007-13mdv2007.0
+ Revision: 60211
- New package (2006/09/06 -13mdv)
  /var/lib/mandriva now is owned by this package
  Add requires postun (need to uninstall package)

* Wed Sep 06 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-12mdv2007.0
+ Revision: 60141
- Added new configuration for kscd

* Wed Sep 06 2006 Laurent Montel <lmontel@mandriva.com> 2007-11mdv2007.0
+ Revision: 60084
- New package (2006-09-05 2007-10mdv)
  Now each distro load correct scheme files
- Fix typo

* Fri Sep 01 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-10mdv2007.0
+ Revision: 59028
- Xdmcp back to disabled due popular demand.
- Fixed post update of profile ( Thanks to Nanar )

* Thu Aug 31 2006 Laurent Montel <lmontel@mandriva.com> 2007-9mdv2007.0
+ Revision: 58847
- Fix kside

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed background defaults. Thanks to Laurent Montel
    - Moved configs for a non versionated directories. Requested by Pixel and Laurent
    - Fixed the clean generation if /etc/kderc.
    - Fixed kcookiejar config, which for some reason is making some people getting
      the cookies ask dialog back

* Tue Aug 29 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-7mdv2007.0
+ Revision: 58364
- Fix install for directories with space ( Galaxy )
- Use the right tarball
- Return to old Galaxy name for ksplash. Keep Mandriva2007 for "in the middel of
  cooker" upgrade
- Fixed invalid resources
- Set 2 desktops for discovery

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-6mdv2007.0
+ Revision: 57975
- Moved terminal from rxvt to xterm in failsafe session of kdm. rxvt not support
  utf-8 and most installations are using this by default
- Fixed bug http://qa.mandriva.com/show_bug.cgi?id=24690 ( Wrong X path )
- enabled xdmcp by default. System listen just locally.

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-5mdv2007.0
+ Revision: 57956
- Fixed type on ksplash theme rc
- Fixed kdm postinstall

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com> 2007-4mdv2007.0
+ Revision: 57753
- Fixed updatekdeprofile by Nanar ( thanks )
- Fixed config paths
- Fixed upgrade of kdm config
- Uploaded Mandriva configs for svn on soft
- Added kside images ( depends on remove switch patch on kdebase )
- Added new ksplash theme ( will have different color ones ones ? )
- First fully operational package. Thanks to Nanar for all help
- import mandriva-kde-config-2007-1mdv2007.0

  + Olivier Thauvin <nanardon@mandriva.org>
    - preserv order of value
    - the regexp need an eol marker
    - no space around the ,

